Page MenuHomePhabricator

Hide entire interface until it's done loading
Closed, ResolvedPublic2 Estimated Story Points

Description

Right now, the no-JS UI is visible while the JS UI loads. This causes differences in appearance (reply links vs reply boxes) and behavior (reply on new page vs reply inline), and in some cases causes differences in behavior *without* a corresponding difference in appearance, which is bad.

Instead, we should do something like .client-js .flow-blah { display: none; } until the UI is done loading.

Event Timeline

Catrope created this task.Jul 1 2015, 11:22 PM
Catrope raised the priority of this task from to Medium.
Catrope updated the task description. (Show Details)
Catrope added a project: StructuredDiscussions.
Catrope added subscribers: Catrope, Mooeypoo.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 1 2015, 11:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Added a screen recording which shows two things

  1. the shrinking and expanding of the side bar: T102648 FOUC on Flow sidebarand T104514: Hide entire interface until it's done loading
  2. The placeholder text in Reply textbox is displayed as active( in blue font).
DannyH set Security to None.Jul 7 2015, 6:32 PM
DannyH edited a custom field.

Change 223713 had a related patch set uploaded (by Mooeypoo):
Disable and partially hide content while flow-JS is loading

https://gerrit.wikimedia.org/r/223713

Mooeypoo claimed this task.Jul 9 2015, 5:05 AM

@Pginer-WMF Could you look at Moriel's patch and tell us what you think?

@Pginer-WMF Could you look at Moriel's patch and tell us what you think?

From what I could test, it seems to work well in reducing the initial glitch.
I think that Matthias comment about using the waiting cursor makes sense. Although I have been testing under a simulated low network and everything was happening quite fast (maybe my test flow board is too small).

What I also noticed is the tendency of the ToC/sorting bar to disappear causing the content to jump. It happens on initial load but also when switching the sorting criteria. This is something we may want to fix as we move to the new version (T89422).

What I also noticed is the tendency of the ToC/sorting bar to disappear causing the content to jump. It happens on initial load but also when switching the sorting criteria. This is something we may want to fix as we move to the new version (T89422).

What do you mean exactly? Do you mean the phenomenon where the TOC appears late and pushes down the rest of the page?

Change 223713 merged by jenkins-bot:
Disable and partially hide content while flow-JS is loading

https://gerrit.wikimedia.org/r/223713

Do you mean the phenomenon where the TOC appears late and pushes down the rest of the page?

Yes, and the same phenomenon happens when you change from "newest topics" to "recently active topics".

Checked on beta and mediawiki.

>Do you mean the phenomenon where the TOC appears late and pushes down the rest of the page?
Yes, and the same phenomenon happens when you change from "newest topics" to "recently active topics".

Filed as a bug T105963.

DannyH closed this task as Resolved.Jul 15 2015, 10:38 PM
DannyH added a subscriber: DannyH.